# Community

Welcome to the KubeVirt Community repo!
Here you will find all things community, including our [membership policy](membership_policy.md), [project governance](GOVERNANCE.md), charters for our [Special Interest Groups](./GOVERNANCE.md#sigs) and [Working Groups](./GOVERNANCE.md#working-groups), [upcoming events](https://github.com/kubevirt/community/wiki/Events), and more.

If you're looking for the main code base, you can find it at [kubevirt/kubevirt](https://github.com/kubevirt/kubevirt).

And check out [kubevirt/sig-release](https://github.com/kubevirt/sig-release/) for all release-related information, such as our schedule, [support matrix](https://github.com/kubevirt/sig-release/blob/main/releases/k8s-support-matrix.md), or our [roadmap](https://github.com/kubevirt/sig-release/blob/main/upcoming-changes.md)

# Get Started

Check out the [KubeVirt user guide](https://kubevirt.io/user-guide/) for all of our documentation, including architecture, getting started, managing virtual machines and your KubeVirt cluster, release notes, and debugging.

You can also find our [contributor guide](https://kubevirt.io/user-guide/contributing/) with resources for code and non-code contributions for beginners and those looking to contribute features and run a test cluster. 

# Socializing

If you've had enough of code and want to speak to people, then you have plenty of options:

* Join us in our weekly [Community Meeting](community_meeting.md)
* Follow us on [Twitter](https://twitter.com/kubevirt) and our [blog](https://kubevirt.github.io/blogs/)
* Chat with us on Slack via <https://kubernetes.slack.com/messages/virtualization> and <https://kubernetes.slack.com/messages/kubevirt-dev>
* Discuss with us on the [kubevirt-dev Google Group](https://groups.google.com/forum/#!forum/kubevirt-dev)
* Stay informed about designs and upcoming events by watching our [community content](https://github.com/kubevirt/community/)
* Subscribe to [our calendar](https://calendar.google.com/calendar/embed?src=kubevirt@cncf.io) or add it to your personal calendar using this calendar ID `18pc0jur01k8f2cccvn5j04j1g@group.calendar.google.com` to stay up to date about upcoming events
* Consider adding your organisation to our [Adopters list](https://github.com/kubevirt/kubevirt/blob/main/ADOPTERS.md)

