# Title
 
Moving oVirt and VMware VMs to KubeVirt with VM Import Operator and Forklift
 
# Abstract
 
[VM Import Operator](https://github.com/kubevirt/vm-import-operator) (VMIO) allows Kubernetes administrators to easily import their oVirt- and VMware- managed virtual machines to KubeVirt.

[Konveyor's Forklift](https://konveyor.io/forklift-documentation) is a project that leverages VMIO to propose a user interface for large scale migrations, introducing the concept of migration plan and implementing inventory and validation services.

In this talk, the speakers will explain the design of the Virtual Machine Import Operator and how it can be used to import virtual machines to KubeVirt. Afterwards the speakers will show how Forklift uses VMIO to deliver better user experience while importing virtual machines to KubeVirt.

The attendees will:
 - learn how VM Import Operator works;
 - see an oVirt virtual machine import to Kubernetes (KubeVirt) with VMIO;
 - see VMware virtual machines import to Kubernetes (KubeVirt) with Forklift;
 - know how to import their VMware or oVirt workloads to Kubernetes with VMIO or Forklift;
 
# Presenters
 
- Jakub Dzon, Senior Software Engineer, Red Hat, jdzon@redhat.com
- Fabien Dupont, Senior Principal Engineer & Engineering Manager, Red Hat, fdupont@redhat.com
 
[X] The presenters agree to abide by the
    [Linux Foundation's Code of Conduct for Events](https://events.linuxfoundation.org/about/code-of-conduct/)
 
# Session details
 
- Track: User
- Session type: Presentation
- Duration:  40m
- Level: Any
 
# Additional notes
 
https://github.com/kubevirt/vm-import-operator
https://konveyor.io/forklift-documentation

