# Material Overview

There is quite a lot material on KubeVirt, this document is summarizing this:

## First steps

- Demo: https://github.com/kubevirt/demo
- User Guide: https://github.com/kubevirt/user-guide
- API Reference: https://kubevirt-incubator.github.io/api-reference/
- Demo Materials: [Demo Materials](docs/demomaterials/README.md)

## Repositories

- Main: https://github.com/kubevirt/kubevirt
- UI:
  - Cockpit related branches: https://github.com/kubevirt/cockpit
  - MIQ related branches: https://github.com/kubevirt/manageiq-providers-kubevirt
- Ansible modules: https://github.com/kubevirt/kubevirt-ansible
- Optimized storage:
  - External provisioner with cloning support: https://github.com/kubevirt/external-storage
  - Cloud native storage provider: https://github.com/kubevirt/gluster-kubernetes

## Slide decks and session recordings

### 2018

- ["Convergence of your virtualization and container infrastructures with KubeVirt"](http://redhat.slides.com/fdeutsch/fosdem-2018-kubevirt#/) by @fabiand at FOSDEM 2018
- ["Kubernetes Cloud Autoscaler for Isolated Workloads"](https://www.youtube.com/watch?v=BzY2mzeVjrw) by @rmohr at devconf.cz
- ["Outcast: Virtualization in a container world?"](https://www.slideshare.net/FabianDeutsch/outcast-virtualization-in-a-container-world) by @fabiand at devconf.cz
  - [(recording)](https://www.youtube.com/watch?v=avxBRRwRa-8) by @fabiand

### 2017
- ["Pet VMs in Kubernetes! WTH?"](http://redhat.slides.com/fdeutsch/kubevirt-intro-devconf-2017) by @fabiand at devconf.cz
- ["Running Virtual Machines on Kubernetes with libvirtd and KVM"](http://redhat.slides.com/fdeutsch/running-virtual-machines-on-kubernetes-with-libvirt-and-kvm-at-kvm-forum-2017#/) by @rmohr and @fabiand at KVM Forum
  ([Recording](https://www.youtube.com/watch?v=Wh-ejUyuHJ0))
- ["KubeVirt - Kubernetes, Virtualization and Your Future Data Center"](https://www.youtube.com/watch?v=IfuL2rYhMKY) by @iheim and @fabiand at OpenShift Commons Briefing
- ["KubeVirt - Kubernetes, Virtualization and Your Future Data Center"](https://www.youtube.com/watch?v=0dob7KsJizg) by @iheim and @fabiand and KubeCon NA 2017

## Technical demos

## 2018

- ManageIQ Clone Template: https://www.youtube.com/watch?v=9Gf2Nv7h558
- ManageIQ KubeVirt Provider: https://www.youtube.com/watch?v=6Z_kGj9_s6Q
